###### This is Python Stuff, ignore it if new to Python
import fcmp, onearmap, PyADeBay
### When developing we want this:
reload(fcmp)
reload(onearmap)
reload(PyADeBay)
from numpy import array, zeros, ones


########### START HERE IF NEW TO PYTHON ############################
####################################################################
#### Example of adaptive randomization, ADeBay:
#### Treatments, 0= std. of care, 1, 2 experimental.  To define the set of utilities se use:
####    t=   0,   1,   2.  p_{t}'s, the discount factor for toxicity are
pp = array([[0.9, 0.8, 0.7],   # mp, lows
            [1.0, 0.9, 0.8]])  # Mp, highs

###  Only two responses are considered, 0= NR, success, 1= R, failure
###  The life expectancy ranges in each case are:
###  r =      0,    1, these are the a_{r}'s
LE = array([[1.0,  8.0],   # m, lows
            [4.0, 30.0]])  # M, highs, in years for example

### Some 'true' probabilities of success for each treatment, for simulation
######          t=   0,   1,   2.
trueprobs = array([ 0.1, 0.5, 0.9])

### The success probability of each treatmetn has a beta prior distribution,
### These are the alpha and beta parameters of each prior:
######  t=   0,   1,   2.
al = array([ 2.0, 2.0, 2.0])
be = array([ 2.0, 2.0, 2.0])


#### Here we define the trail:

adebay = PyADeBay.PyADeBay( k=3, N=30, LE=LE, pp=pp, al=al, be=be)


### Example:  Find the next non-cominated set when 4 patientes have
### been assigned to treatment 0, 4 to trmt. 1 and 15 to trmt. 2.
### The successes in each case are: 2, 3 and 13.

# res = adebay.Decision( sn=array([4,4,15]), ss=array([2,3,13]), printprogress=True)


#### Get the Op. Characteristics with 100 simulations

#adebay.OpCa( trueprobs=trueprobs, T=100, printprogress=True)



##########################################################
########## Example of the one-arm approximation ##########
##########################################################
### Example of a k=3 arm trial, with binary response
### Utilities for each treatment, t= 0, 1, 2
### These are the utilities for reponse 0:
a = array([0.1, 0.15, 0.2])

### These are the utilities for reponse 1:
b = array([0.8, 0.9, 0.95])

tst = onearmap.OneArmAp( k=3, N=200, a=a, b=b, al=al, be=be)

### Try for example:

#tst.Evaluate( sn=array([20,20,20]), ss=array([10,15,20]), printprogress=True)


